A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
expm1
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Exponential and logarithmic functions

## Functions
array | expm1 (const array &in)
| C++ Interface to evaluate the exponential of an array minus 1, `exp(in) - 1`.
af_err | af_expm1 (af_array *out, const af_array in)
| C Interface to evaluate the exponential of an array minus 1, `exp(in) - 1`.

## Detailed Description

Evaluate the exponential function of an array minus 1, `exp(in) - 1`.

Note
  This function only supports real inputs; complex inputs are not yet supported.

## Function Documentation

## ◆ af_expm1()

af_err af_expm1 | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the exponential of an array minus 1, `exp(in) - 1`.

Parameters

  [out] | out | exponential of `in - 1`
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ expm1()

array expm1 | ( | const array & | in | ) |

C++ Interface to evaluate the exponential of an array minus 1, `exp(in) - 1`.

This function is useful when `in` is small.

Parameters

  [in] | in | exponent

Returns
  exponential minus 1